package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 链上发行数字资产
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper004PublishAssetReqDto {
    /**
     * 资产id
     */
    private Long assetId;
    /**
     * 助记词
     */
    private String mnemonic;

    private static final Xuper004PublishAssetReqDto obj = new Xuper004PublishAssetReqDto();
    public static Xuper004PublishAssetReqDto getNew() {
        try {
            return (Xuper004PublishAssetReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper004PublishAssetReqDto();
        }
    }
}
